<?php 
//check if current user role is allowed access to the pages
$can_add = ACL::is_allowed("users/add");
$can_edit = ACL::is_allowed("users/edit");
$can_view = ACL::is_allowed("users/view");
$can_delete = ACL::is_allowed("users/delete");
?>
<?php
$comp_model = new SharedController;
$page_element_id = "view-page-" . random_str();
$current_page = $this->set_current_page_link();
$csrf_token = Csrf::$token;
//Page Data Information from Controller
$data = $this->view_data;
//$rec_id = $data['__tableprimarykey'];
$page_id = $this->route->page_id; //Page id from url
$view_title = $this->view_title;
$show_header = $this->show_header;
$show_edit_btn = $this->show_edit_btn;
$show_delete_btn = $this->show_delete_btn;
$show_export_btn = $this->show_export_btn;
?>
<section class="page" id="<?php echo $page_element_id; ?>" data-page-type="view"  data-display-type="table" data-page-url="<?php print_link($current_page); ?>">
    <?php
    if( $show_header == true ){
    ?>
    <div  class="bg-light p-3 mb-3">
        <div class="container">
            <div class="row ">
                <div class="col ">
                    <h4 class="record-title"><?php print_lang('my_account'); ?></h4>
                </div>
            </div>
        </div>
    </div>
    <?php
    }
    ?>
    <div  class="">
        <div class="container">
            <div class="row ">
                <div class="col-md-12 comp-grid">
                    <?php $this :: display_page_errors(); ?>
                    <div  class="card animated fadeIn page-content">
                        <?php
                        $counter = 0;
                        if(!empty($data)){
                        $rec_id = (!empty($data['user_id']) ? urlencode($data['user_id']) : null);
                        $counter++;
                        ?>
                        <div class="bg-primary m-2 mb-4">
                            <div class="profile">
                                <div class="avatar"><img src="<?php print_link("assets/images/avatar.png") ?>" /> 
                                </div>
                                <h1 class="title mt-4"><?php echo $data['user_email']; ?></h1>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="mx-3 mb-3">
                                    <ul class="nav nav-pills flex-column text-left">
                                        <li class="nav-item">
                                            <a data-toggle="tab" href="#AccountPageView" class="nav-link active">
                                                <i class="material-icons">account_box</i> <?php print_lang('account_detail'); ?>
                                            </a>
                                        </li>
                                        <li class="nav-item">
                                            <a data-toggle="tab" href="#AccountPageEdit" class="nav-link">
                                                <i class="material-icons">edit</i> <?php print_lang('edit_account'); ?>
                                            </a>
                                        </li>
                                        <li class="nav-item">
                                            <a data-toggle="tab" href="#AccountPageChangeEmail" class="nav-link">
                                                <i class="material-icons">email</i> <?php print_lang('change_email'); ?>
                                            </a>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                            <div class="col-sm-9">
                                <div class="mb-3">
                                    <div class="tab-content">
                                        <div class="tab-pane show active fade" id="AccountPageView" role="tabpanel">
                                            <table class="table table-hover table-borderless table-striped">
                                                <tbody class="page-data" id="page-data-<?php echo $page_element_id; ?>">
                                                    <tr  class="td-user_id">
                                                        <th class="title"> <?php print_lang('user_id'); ?>: </th>
                                                        <td class="value"> <?php echo $data['user_id']; ?></td>
                                                    </tr>
                                                    <tr  class="td-user_email">
                                                        <th class="title"> <?php print_lang('user_email'); ?>: </th>
                                                        <td class="value"> <?php echo $data['user_email']; ?></td>
                                                    </tr>
                                                    <tr  class="td-email_verified_at">
                                                        <th class="title"> <?php print_lang('email_verified_at'); ?>: </th>
                                                        <td class="value"> <?php echo $data['email_verified_at']; ?></td>
                                                    </tr>
                                                    <tr  class="td-user_mobile_number">
                                                        <th class="title"> <?php print_lang('user_mobile_number'); ?>: </th>
                                                        <td class="value"> <?php echo $data['user_mobile_number']; ?></td>
                                                    </tr>
                                                    <tr  class="td-user_provider">
                                                        <th class="title"> <?php print_lang('user_provider'); ?>: </th>
                                                        <td class="value"> <?php echo $data['user_provider']; ?></td>
                                                    </tr>
                                                    <tr  class="td-userable_id">
                                                        <th class="title"> <?php print_lang('userable_id'); ?>: </th>
                                                        <td class="value"> <?php echo $data['userable_id']; ?></td>
                                                    </tr>
                                                    <tr  class="td-userable_type">
                                                        <th class="title"> <?php print_lang('userable_type'); ?>: </th>
                                                        <td class="value"> <?php echo $data['userable_type']; ?></td>
                                                    </tr>
                                                    <tr  class="td-remember_token">
                                                        <th class="title"> <?php print_lang('remember_token'); ?>: </th>
                                                        <td class="value"> <?php echo $data['remember_token']; ?></td>
                                                    </tr>
                                                    <tr  class="td-created_at">
                                                        <th class="title"> <?php print_lang('created_at'); ?>: </th>
                                                        <td class="value"> <?php echo $data['created_at']; ?></td>
                                                    </tr>
                                                    <tr  class="td-updated_at">
                                                        <th class="title"> <?php print_lang('updated_at'); ?>: </th>
                                                        <td class="value"> <?php echo $data['updated_at']; ?></td>
                                                    </tr>
                                                    <tr  class="td-user_role_id">
                                                        <th class="title"> <?php print_lang('user_role_id'); ?>: </th>
                                                        <td class="value"> <?php echo $data['user_role_id']; ?></td>
                                                    </tr>
                                                </tbody>    
                                            </table>
                                        </div>
                                        <div class="tab-pane fade" id="AccountPageEdit" role="tabpanel">
                                            <div class=" reset-grids">
                                                <?php  $this->render_page("account/edit"); ?>
                                            </div>
                                        </div>
                                        <div class="tab-pane  fade" id="AccountPageChangeEmail" role="tabpanel">
                                            <div class=" reset-grids">
                                                <?php  $this->render_page("account/change_email"); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php
                        }
                        else{
                        ?>
                        <!-- Empty Record Message -->
                        <div class="text-muted p-3">
                            <i class="material-icons">block</i> <?php print_lang('no_record_found'); ?>
                        </div>
                        <?php
                        }
                        ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
