<?php 
//check if current user role is allowed access to the pages
$can_add = ACL::is_allowed("customer_addresses/add");
$can_edit = ACL::is_allowed("customer_addresses/edit");
$can_view = ACL::is_allowed("customer_addresses/view");
$can_delete = ACL::is_allowed("customer_addresses/delete");
?>
<?php
$comp_model = new SharedController;
$page_element_id = "view-page-" . random_str();
$current_page = $this->set_current_page_link();
$csrf_token = Csrf::$token;
//Page Data Information from Controller
$data = $this->view_data;
//$rec_id = $data['__tableprimarykey'];
$page_id = $this->route->page_id; //Page id from url
$view_title = $this->view_title;
$show_header = $this->show_header;
$show_edit_btn = $this->show_edit_btn;
$show_delete_btn = $this->show_delete_btn;
$show_export_btn = $this->show_export_btn;
?>
<section class="page" id="<?php echo $page_element_id; ?>" data-page-type="view"  data-display-type="table" data-page-url="<?php print_link($current_page); ?>">
    <?php
    if( $show_header == true ){
    ?>
    <div  class="bg-light p-3 mb-3">
        <div class="container">
            <div class="row ">
                <div class="col ">
                    <h4 class="record-title"><?php print_lang('view_customer_addresses'); ?></h4>
                </div>
            </div>
        </div>
    </div>
    <?php
    }
    ?>
    <div  class="">
        <div class="container">
            <div class="row ">
                <div class="col comp-grid">
                    <h4 class="header-sub"><?php print_lang('address_details'); ?></h4>
                </div>
            </div>
        </div>
    </div>
    <div  class="">
        <div class="container">
            <div class="row ">
                <div class="col-md-12 comp-grid">
                    <?php $this :: display_page_errors(); ?>
                    <div  class="card animated fadeIn page-content">
                        <?php
                        $counter = 0;
                        if(!empty($data)){
                        $rec_id = (!empty($data['address_id']) ? urlencode($data['address_id']) : null);
                        $counter++;
                        ?>
                        <div id="page-report-body" class="">
                            <table class="table table-hover table-borderless table-striped">
                                <!-- Table Body Start -->
                                <tbody class="page-data" id="page-data-<?php echo $page_element_id; ?>">
                                    <tr  class="td-customer_id">
                                        <th class="title"> <?php print_lang('customer'); ?>: </th>
                                        <td class="value">
                                            <a size="sm" class="btn btn-sm btn-primary page-modal" href="<?php print_link("customers/view/" . urlencode($data['customer_id'])) ?>">
                                                <i class="material-icons">visibility</i> <?php echo $data['customers_customer_full_name'] ?>
                                            </a>
                                        </td>
                                    </tr>
                                    <tr  class="td-country_id">
                                        <th class="title"> <?php print_lang('country'); ?>: </th>
                                        <td class="value">
                                            <a size="sm" class="btn btn-sm btn-primary page-modal" href="<?php print_link("countries/view/" . urlencode($data['country_id'])) ?>">
                                                <i class="material-icons">visibility</i> <?php echo $data['countries_country_name_en'] ?>
                                            </a>
                                        </td>
                                    </tr>
                                    <tr  class="td-address_name">
                                        <th class="title"> <?php print_lang('address_name'); ?>: </th>
                                        <td class="value"> <?php echo $data['address_name']; ?></td>
                                    </tr>
                                    <tr  class="td-address_area">
                                        <th class="title"> <?php print_lang('address_area'); ?>: </th>
                                        <td class="value"> <?php echo $data['address_area']; ?></td>
                                    </tr>
                                    <tr  class="td-address_block">
                                        <th class="title"> <?php print_lang('address_block'); ?>: </th>
                                        <td class="value"> <?php echo $data['address_block']; ?></td>
                                    </tr>
                                    <tr  class="td-address_road">
                                        <th class="title"> <?php print_lang('address_road'); ?>: </th>
                                        <td class="value"> <?php echo $data['address_road']; ?></td>
                                    </tr>
                                    <tr  class="td-address_building">
                                        <th class="title"> <?php print_lang('address_building'); ?>: </th>
                                        <td class="value"> <?php echo $data['address_building']; ?></td>
                                    </tr>
                                    <tr  class="td-address_latitude">
                                        <th class="title"> <?php print_lang('address_latitude'); ?>: </th>
                                        <td class="value"> <?php echo $data['address_latitude']; ?></td>
                                    </tr>
                                    <tr  class="td-address_longitude">
                                        <th class="title"> <?php print_lang('address_longitude'); ?>: </th>
                                        <td class="value"> <?php echo $data['address_longitude']; ?></td>
                                    </tr>
                                    <tr  class="td-address_floor">
                                        <th class="title"> <?php print_lang('address_floor'); ?>: </th>
                                        <td class="value"> <?php echo $data['address_floor']; ?></td>
                                    </tr>
                                    <tr  class="td-address_room_number">
                                        <th class="title"> <?php print_lang('address_room_number'); ?>: </th>
                                        <td class="value"> <?php echo $data['address_room_number']; ?></td>
                                    </tr>
                                    <tr  class="td-address_note">
                                        <th class="title"> <?php print_lang('address_note'); ?>: </th>
                                        <td class="value"> <?php echo $data['address_note']; ?></td>
                                    </tr>
                                    <tr  class="td-address_type">
                                        <th class="title"> <?php print_lang('address_type'); ?>: </th>
                                        <td class="value"> <?php echo $data['address_type']; ?></td>
                                    </tr>
                                    <tr  class="td-created_at">
                                        <th class="title"> <?php print_lang('created_at'); ?>: </th>
                                        <td class="value">
                                            <span title="<?php echo human_datetime($data['created_at']); ?>" class="has-tooltip">
                                                <?php echo relative_date($data['created_at']); ?>
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-updated_at">
                                        <th class="title"> <?php print_lang('updated_at'); ?>: </th>
                                        <td class="value">
                                            <span title="<?php echo human_datetime($data['updated_at']); ?>" class="has-tooltip">
                                                <?php echo relative_date($data['updated_at']); ?>
                                            </span>
                                        </td>
                                    </tr>
                                </tbody>
                                <!-- Table Body End -->
                            </table>
                        </div>
                        <div class="p-3 d-flex">
                            <div class="dropup export-btn-holder mx-1">
                                <button class="btn btn-sm btn-primary dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <i class="material-icons">save</i> <?php print_lang('export'); ?>
                                </button>
                                <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                    <?php $export_print_link = $this->set_current_page_link(array('format' => 'print')); ?>
                                    <a class="dropdown-item export-link-btn" data-format="print" href="<?php print_link($export_print_link); ?>" target="_blank">
                                        <img src="<?php print_link('assets/images/print.png') ?>" class="mr-2" /> PRINT
                                        </a>
                                        <?php $export_pdf_link = $this->set_current_page_link(array('format' => 'pdf')); ?>
                                        <a class="dropdown-item export-link-btn" data-format="pdf" href="<?php print_link($export_pdf_link); ?>" target="_blank">
                                            <img src="<?php print_link('assets/images/pdf.png') ?>" class="mr-2" /> PDF
                                            </a>
                                            <?php $export_word_link = $this->set_current_page_link(array('format' => 'word')); ?>
                                            <a class="dropdown-item export-link-btn" data-format="word" href="<?php print_link($export_word_link); ?>" target="_blank">
                                                <img src="<?php print_link('assets/images/doc.png') ?>" class="mr-2" /> WORD
                                                </a>
                                                <?php $export_csv_link = $this->set_current_page_link(array('format' => 'csv')); ?>
                                                <a class="dropdown-item export-link-btn" data-format="csv" href="<?php print_link($export_csv_link); ?>" target="_blank">
                                                    <img src="<?php print_link('assets/images/csv.png') ?>" class="mr-2" /> CSV
                                                    </a>
                                                    <?php $export_excel_link = $this->set_current_page_link(array('format' => 'excel')); ?>
                                                    <a class="dropdown-item export-link-btn" data-format="excel" href="<?php print_link($export_excel_link); ?>" target="_blank">
                                                        <img src="<?php print_link('assets/images/xsl.png') ?>" class="mr-2" /> EXCEL
                                                        </a>
                                                    </div>
                                                </div>
                                                <?php if($can_delete){ ?>
                                                <a class="btn btn-sm btn-danger record-delete-btn mx-1"  href="<?php print_link("customer_addresses/delete/$rec_id/?csrf_token=$csrf_token&redirect=$current_page"); ?>" data-prompt-msg="Are you sure you want to delete this record?" data-display-style="modal">
                                                    <i class="material-icons">clear</i> <?php print_lang('delete'); ?>
                                                </a>
                                                <?php } ?>
                                            </div>
                                            <?php
                                            }
                                            else{
                                            ?>
                                            <!-- Empty Record Message -->
                                            <div class="text-muted p-3">
                                                <i class="material-icons">block</i> <?php print_lang('no_record_found'); ?>
                                            </div>
                                            <?php
                                            }
                                            ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>
