<?php
$comp_model = new SharedController;
$page_element_id = "add-page-" . random_str();
$current_page = $this->set_current_page_link();
$csrf_token = Csrf::$token;
$show_header = $this->show_header;
$view_title = $this->view_title;
$redirect_to = $this->redirect_to;
?>
<section class="page" id="<?php echo $page_element_id; ?>" data-page-type="add"  data-display-type="" data-page-url="<?php print_link($current_page); ?>">
    <?php
    if( $show_header == true ){
    ?>
    <div  class="bg-light p-3 mb-3">
        <div class="container">
            <div class="row ">
                <div class="col ">
                    <h4 class="record-title"><?php print_lang('add_new_delivery_charge_options'); ?></h4>
                </div>
            </div>
        </div>
    </div>
    <?php
    }
    ?>
    <div  class="">
        <div class="container">
            <div class="row ">
                <div class="col-md-7 comp-grid">
                    <?php $this :: display_page_errors(); ?>
                    <div  class="bg-light p-3 animated fadeIn page-content">
                        <form id="delivery_charge_options-add-form" role="form" novalidate enctype="multipart/form-data" class="form page-form form-horizontal needs-validation" action="<?php print_link("delivery_charge_options/add?csrf_token=$csrf_token") ?>" method="post">
                            <div>
                                <input id="ctrl-delivery_charge_option_id"  value="<?php echo $comp_model->delivery_charge_options_delivery_charge_option_id_default_value() ?>" type="hidden" placeholder="<?php print_lang('enter_delivery_charge_option_id'); ?>"  required="" name="delivery_charge_option_id"  data-url="api/json/delivery_charge_options_delivery_charge_option_id_value_exist/" data-loading-msg="<?php print_lang('checking_availability_'); ?>" data-available-msg="<?php print_lang('available'); ?>" data-unavailable-msg="<?php print_lang('not_available'); ?>" class="form-control  ctrl-check-duplicate" />
                                    <div class="check-status"></div>
                                    <div class="form-group ">
                                        <div class="row">
                                            <div class="col-sm-4">
                                                <label class="control-label" for="country_id"><?php print_lang('country'); ?> <span class="text-danger">*</span></label>
                                            </div>
                                            <div class="col-sm-8">
                                                <div class="">
                                                    <select required=""  id="ctrl-country_id" name="country_id"  placeholder="<?php print_lang('select_a_value_'); ?>"    class="custom-select" >
                                                        <option value=""><?php print_lang('select_a_value_'); ?></option>
                                                        <?php 
                                                        $country_id_options = $comp_model -> delivery_charge_options_country_id_option_list();
                                                        if(!empty($country_id_options)){
                                                        foreach($country_id_options as $option){
                                                        $value = (!empty($option['value']) ? $option['value'] : null);
                                                        $label = (!empty($option['label']) ? $option['label'] : $value);
                                                        $selected = $this->set_field_selected('country_id',$value, "");
                                                        ?>
                                                        <option <?php echo $selected; ?> value="<?php echo $value; ?>">
                                                            <?php echo $label; ?>
                                                        </option>
                                                        <?php
                                                        }
                                                        }
                                                        ?>
                                                    </select>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group ">
                                        <div class="row">
                                            <div class="col-sm-4">
                                                <label class="control-label" for="delivery_charge_option_name_en"><?php print_lang('delivery_option_en'); ?> <span class="text-danger">*</span></label>
                                            </div>
                                            <div class="col-sm-8">
                                                <div class="">
                                                    <input id="ctrl-delivery_charge_option_name_en"  value="<?php  echo $this->set_field_value('delivery_charge_option_name_en',""); ?>" type="text" placeholder="<?php print_lang('enter_delivery_option_en'); ?>"  required="" name="delivery_charge_option_name_en"  class="form-control " />
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="form-group ">
                                            <div class="row">
                                                <div class="col-sm-4">
                                                    <label class="control-label" for="delivery_charge_option_name_ar"><?php print_lang('delivery_option_ar'); ?> <span class="text-danger">*</span></label>
                                                </div>
                                                <div class="col-sm-8">
                                                    <div class="">
                                                        <input id="ctrl-delivery_charge_option_name_ar"  value="<?php  echo $this->set_field_value('delivery_charge_option_name_ar',""); ?>" type="text" placeholder="<?php print_lang('enter_delivery_option_ar'); ?>"  required="" name="delivery_charge_option_name_ar"  class="form-control " />
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="form-group ">
                                                <div class="row">
                                                    <div class="col-sm-4">
                                                        <label class="control-label" for="delivery_charge_option_price"><?php print_lang('delivery_charge_option_price'); ?> <span class="text-danger">*</span></label>
                                                    </div>
                                                    <div class="col-sm-8">
                                                        <div class="">
                                                            <input id="ctrl-delivery_charge_option_price"  value="<?php  echo $this->set_field_value('delivery_charge_option_price',""); ?>" type="number" placeholder="<?php print_lang('enter_delivery_charge_option_price'); ?>" step="0.1"  required="" name="delivery_charge_option_price"  class="form-control " />
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="form-group ">
                                                    <div class="row">
                                                        <div class="col-sm-4">
                                                            <label class="control-label" for="no_of_hours"><?php print_lang('no_of_hours'); ?> <span class="text-danger">*</span></label>
                                                        </div>
                                                        <div class="col-sm-8">
                                                            <div class="">
                                                                <input id="ctrl-no_of_hours"  value="<?php  echo $this->set_field_value('no_of_hours',""); ?>" type="number" placeholder="<?php print_lang('enter_no_of_hours'); ?>" step="1"  required="" name="no_of_hours"  class="form-control " />
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="form-group form-submit-btn-holder text-center mt-3">
                                                    <div class="form-ajax-status"></div>
                                                    <button class="btn btn-primary" type="submit">
                                                        <?php print_lang('submit'); ?>
                                                        <i class="material-icons">send</i>
                                                    </button>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>
