<?php 
//check if current user role is allowed access to the pages
$can_add = ACL::is_allowed("orders/add");
$can_edit = ACL::is_allowed("orders/edit");
$can_view = ACL::is_allowed("orders/view");
$can_delete = ACL::is_allowed("orders/delete");
?>
<?php
$comp_model = new SharedController;
$page_element_id = "view-page-" . random_str();
$current_page = $this->set_current_page_link();
$csrf_token = Csrf::$token;
//Page Data Information from Controller
$data = $this->view_data;
//$rec_id = $data['__tableprimarykey'];
$page_id = $this->route->page_id; //Page id from url
$view_title = $this->view_title;
$show_header = $this->show_header;
$show_edit_btn = $this->show_edit_btn;
$show_delete_btn = $this->show_delete_btn;
$show_export_btn = $this->show_export_btn;
?>
<section class="page" id="<?php echo $page_element_id; ?>" data-page-type="view"  data-display-type="table" data-page-url="<?php print_link($current_page); ?>">
    <?php
    if( $show_header == true ){
    ?>
    <div  class="bg-light p-3 mb-3">
        <div class="container">
            <div class="row ">
                <div class="col ">
                    <h4 class="record-title"><?php print_lang('view_orders'); ?></h4>
                </div>
            </div>
        </div>
    </div>
    <?php
    }
    ?>
    <div  class="">
        <div class="container">
            <div class="row ">
                <div class="col comp-grid">
                    <h4 class="header-sub"><?php print_lang('order_details'); ?></h4>
                </div>
            </div>
        </div>
    </div>
    <div  class="">
        <div class="container">
            <div class="row ">
                <div class="col-md-12 comp-grid">
                    <?php $this :: display_page_errors(); ?>
                    <div  class="card animated fadeIn page-content">
                        <?php
                        $counter = 0;
                        if(!empty($data)){
                        $rec_id = (!empty($data['order_id']) ? urlencode($data['order_id']) : null);
                        $counter++;
                        ?>
                        <div id="page-report-body" class="">
                            <table class="table table-hover table-borderless table-striped">
                                <!-- Table Body Start -->
                                <tbody class="page-data" id="page-data-<?php echo $page_element_id; ?>">
                                    <tr  class="td-country_id">
                                        <th class="title"> <?php print_lang('country'); ?>: </th>
                                        <td class="value">
                                            <a size="sm" class="btn btn-sm btn-primary page-modal" href="<?php print_link("countries/view/" . urlencode($data['country_id'])) ?>">
                                                <i class="material-icons">visibility</i> <?php echo $data['countries_country_name_en'] ?>
                                            </a>
                                        </td>
                                    </tr>
                                    <tr  class="td-customer_id">
                                        <th class="title"> <?php print_lang('customer'); ?>: </th>
                                        <td class="value">
                                            <a size="sm" class="btn btn-sm btn-primary page-modal" href="<?php print_link("customers/view/" . urlencode($data['customer_id'])) ?>">
                                                <i class="material-icons">visibility</i> <?php echo $data['customers_customer_full_name'] ?>
                                            </a>
                                        </td>
                                    </tr>
                                    <tr  class="td-order_type">
                                        <th class="title"> Order Type: </th>
                                        <td class="value">
                                            <?php if($data['order_type'] == 'delivery') {?>
                                            <span class ="badge-delivery"><?php echo $data['order_type']; ?></span> 
                                            <?php } ?>
                                            <?php if($data['order_type'] == 'pickup') {?>
                                            <span class ="badge-pick"><?php echo $data['order_type']; ?></span> 
                                            <?php } ?> 
                                        </td>
                                    </tr>
                                    <tr  class="td-driver_id">
                                        <th class="title"> <?php print_lang('driver'); ?>: </th>
                                        <td class="value">
                                            <a size="sm" class="btn btn-sm btn-primary page-modal" href="<?php print_link("drivers/view/" . urlencode($data['driver_id'])) ?>">
                                                <i class="material-icons">visibility</i> <?php echo $data['driver_id'] ?>
                                            </a>
                                        </td>
                                    </tr>
                                    <tr  class="td-address_id">
                                        <th class="title"> <?php print_lang('address'); ?>: </th>
                                        <td class="value">
                                            <a size="sm" class="btn btn-sm btn-primary page-modal" href="<?php print_link("customer_addresses/view/" . urlencode($data['address_id'])) ?>">
                                                <i class="material-icons">visibility</i> <?php echo $data['customer_addresses_address_name'] ?>
                                            </a>
                                        </td>
                                    </tr>
                                    <tr  class="td-delivery_charge_option_id">
                                        <th class="title"> <?php print_lang('delivery_charge_option'); ?>: </th>
                                        <td class="value">
                                            <a size="sm" class="btn btn-sm btn-primary page-modal" href="<?php print_link("delivery_charge_options/view/" . urlencode($data['delivery_charge_option_id'])) ?>">
                                                <i class="material-icons">visibility</i> <?php echo $data['delivery_charge_options_delivery_charge_option_name_en'] ?>
                                            </a>
                                        </td>
                                    </tr>
                                    <tr  class="td-order_subtotal">
                                        <th class="title"> <?php print_lang('order_subtotal'); ?>: </th>
                                        <td class="value"> <?php echo $data['order_subtotal']; ?></td>
                                    </tr>
                                    <tr  class="td-order_delivery_charge">
                                        <th class="title"> <?php print_lang('order_delivery_charge'); ?>: </th>
                                        <td class="value"> <?php echo $data['order_delivery_charge']; ?></td>
                                    </tr>
                                    <tr  class="td-order_total">
                                        <th class="title"> <?php print_lang('order_total'); ?>: </th>
                                        <td class="value"> <?php echo $data['order_total']; ?></td>
                                    </tr>
                                    <tr  class="td-order_status">
                                        <th class="title"> Order Status: </th>
                                        <td class="value">
                                            <?php if($data['order_status'] == 'placed') {?>
                                            <span class ="badge-pending"><?php echo $data['order_status']; ?></span> 
                                            <?php } ?>
                                            <?php if($data['order_status'] == 'accepted') {?>
                                            <span class ="badge-active"><?php echo $data['order_status']; ?></span> 
                                            <?php } ?>
                                            <?php if($data['order_status'] == 'ready_for_pickup') {?>
                                            <span class ="badge-ready"><?php echo $data['order_status']; ?></span> 
                                            <?php } ?>
                                            <?php if($data['order_status'] == 'out_for_delivery') {?>
                                            <span class ="badge-out"><?php echo $data['order_status']; ?></span> 
                                            <?php } ?>
                                            <?php if($data['order_status'] == 'completed') {?>
                                            <span class ="badge-completed"><?php echo $data['order_status']; ?></span> 
                                            <?php } ?>
                                            <?php if($data['order_status'] == 'rejected') {?>
                                            <span class ="badge-error"><?php echo $data['order_status']; ?></span> 
                                            <?php } ?>
                                        </td>
                                    </tr>
                                    <tr  class="td-customer_note">
                                        <th class="title"> <?php print_lang('customer_note'); ?>: </th>
                                        <td class="value"> <?php echo $data['customer_note']; ?></td>
                                    </tr>
                                    <tr  class="td-admin_note">
                                        <th class="title"> <?php print_lang('admin_note'); ?>: </th>
                                        <td class="value"> <?php echo $data['admin_note']; ?></td>
                                    </tr>
                                    <tr  class="td-created_at">
                                        <th class="title"> <?php print_lang('created_at'); ?>: </th>
                                        <td class="value">
                                            <span title="<?php echo human_datetime($data['created_at']); ?>" class="has-tooltip">
                                                <?php echo relative_date($data['created_at']); ?>
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-updated_at">
                                        <th class="title"> <?php print_lang('updated_at'); ?>: </th>
                                        <td class="value"> <?php echo $data['updated_at']; ?></td>
                                    </tr>
                                    <tr  class="td-order_expected_arrival_at">
                                        <th class="title"> <?php print_lang('order_expected_arrival_at'); ?>: </th>
                                        <td class="value"> <?php echo $data['order_expected_arrival_at']; ?></td>
                                    </tr>
                                </tbody>
                                <!-- Table Body End -->
                            </table>
                        </div>
                        <div class="p-3 d-flex">
                            <div class="dropup export-btn-holder mx-1">
                                <button class="btn btn-sm btn-primary dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <i class="material-icons">save</i> <?php print_lang('export'); ?>
                                </button>
                                <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                    <?php $export_print_link = $this->set_current_page_link(array('format' => 'print')); ?>
                                    <a class="dropdown-item export-link-btn" data-format="print" href="<?php print_link($export_print_link); ?>" target="_blank">
                                        <img src="<?php print_link('assets/images/print.png') ?>" class="mr-2" /> PRINT
                                        </a>
                                        <?php $export_pdf_link = $this->set_current_page_link(array('format' => 'pdf')); ?>
                                        <a class="dropdown-item export-link-btn" data-format="pdf" href="<?php print_link($export_pdf_link); ?>" target="_blank">
                                            <img src="<?php print_link('assets/images/pdf.png') ?>" class="mr-2" /> PDF
                                            </a>
                                            <?php $export_word_link = $this->set_current_page_link(array('format' => 'word')); ?>
                                            <a class="dropdown-item export-link-btn" data-format="word" href="<?php print_link($export_word_link); ?>" target="_blank">
                                                <img src="<?php print_link('assets/images/doc.png') ?>" class="mr-2" /> WORD
                                                </a>
                                                <?php $export_csv_link = $this->set_current_page_link(array('format' => 'csv')); ?>
                                                <a class="dropdown-item export-link-btn" data-format="csv" href="<?php print_link($export_csv_link); ?>" target="_blank">
                                                    <img src="<?php print_link('assets/images/csv.png') ?>" class="mr-2" /> CSV
                                                    </a>
                                                    <?php $export_excel_link = $this->set_current_page_link(array('format' => 'excel')); ?>
                                                    <a class="dropdown-item export-link-btn" data-format="excel" href="<?php print_link($export_excel_link); ?>" target="_blank">
                                                        <img src="<?php print_link('assets/images/xsl.png') ?>" class="mr-2" /> EXCEL
                                                        </a>
                                                    </div>
                                                </div>
                                            </div>
                                            <?php
                                            }
                                            else{
                                            ?>
                                            <!-- Empty Record Message -->
                                            <div class="text-muted p-3">
                                                <i class="material-icons">block</i> <?php print_lang('no_record_found'); ?>
                                            </div>
                                            <?php
                                            }
                                            ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div  class="">
                            <div class="container">
                                <div class="row ">
                                    <div class="col comp-grid">
                                        <h4 class="header-sub"><?php print_lang('order_invoice'); ?></h4>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div  class="">
                            <div class="container">
                                <div class="row ">
                                    <div class="col-md-12 comp-grid">
                                        <div class=" ">
                                            <?php  
                                            $this->render_page("order_invoices/list/order_invoices.order_id/$data[order_id]?limit_count=20" , array( 'show_header' => false,'show_footer' => false )); 
                                            ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div  class="">
                            <div class="container">
                                <div class="row ">
                                    <div class="col comp-grid">
                                        <h4 class="header-sub"><?php print_lang('order_products'); ?></h4>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div  class="">
                            <div class="container">
                                <div class="row ">
                                    <div class="col-md-12 comp-grid">
                                        <div class=" ">
                                            <?php  
                                            $this->render_page("order_products/list/order_products.order_id/$data[order_id]?limit_count=20" , array( 'show_header' => false,'show_footer' => false )); 
                                            ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div  class="">
                            <div class="container">
                                <div class="row ">
                                    <div class="col comp-grid">
                                        <h4 class="header-sub"><?php print_lang('order_status_log'); ?></h4>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div  class="">
                            <div class="container">
                                <div class="row ">
                                    <div class="col-md-12 comp-grid">
                                        <div class=" ">
                                            <?php  
                                            $this->render_page("order_status_logs/list/order_status_logs.order_id/$data[order_id]?limit_count=20" , array( 'show_header' => false,'show_footer' => false )); 
                                            ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div  class="">
                            <div class="container">
                                <div class="row ">
                                    <div class="col comp-grid">
                                        <h4 class="header-sub"><?php print_lang('order_arrival_expectations'); ?></h4>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>
